Index: WebKit/gtk/webkit/gdomdefines.h
===================================================================
--- WebKit/gtk/webkit/gdomdefines.h	(revision 0)
+++ WebKit/gtk/webkit/gdomdefines.h	(revision 0)
@@ -0,0 +1,529 @@
+/*
+ * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
+ * Copyright (C) 2007 Holger Hans Peter Freyther
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Library General Public License for more details.
+ *
+ * You should have received a copy of the GNU Library General Public License
+ * along with this library; see the file COPYING.LIB.  If not, write to
+ * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+ * Boston, MA 02110-1301, USA.
+ */
+
+#ifndef WEBKIT_GDOM_DEFINES_H
+#define WEBKIT_GDOM_DEFINES_H
+
+#include <glib.h>
+
+#ifdef G_OS_WIN32
+    #ifdef BUILDING_WEBKIT_GDOM
+        #define WEBKIT_GDOM_API __declspec(dllexport)
+    #else
+        #define WEBKIT_GDOM_API __declspec(dllimport)
+    #endif
+    #define WEBKIT_GDOM_OBSOLETE_API WEBKIT_GDOM_API
+#else
+    #define WEBKIT_GDOM_API __attribute__((visibility("default")))
+    #define WEBKIT_GDOM_OBSOLETE_API WEBKIT_GDOM_API __attribute__((deprecated))
+#endif
+
+#ifndef WEBKIT_GDOM_API
+    #define WEBKIT_GDOM_API
+#endif
+
+G_BEGIN_DECLS
+
+typedef struct _GdomEventTargetNode GdomEventTargetNode;
+typedef struct _GdomEventTargetNodeClass GdomEventTargetNodeClass;
+typedef struct _GdomDOMObject GdomDOMObject;
+typedef struct _GdomDOMObjectClass GdomDOMObjectClass;
+
+typedef struct _GdomAttr GdomAttr;
+typedef struct _GdomAttrClass GdomAttrClass;
+typedef struct _GdomBarInfo GdomBarInfo;
+typedef struct _GdomBarInfoClass GdomBarInfoClass;
+typedef struct _GdomCanvasGradient GdomCanvasGradient;
+typedef struct _GdomCanvasGradientClass GdomCanvasGradientClass;
+typedef struct _GdomCanvasPattern GdomCanvasPattern;
+typedef struct _GdomCanvasPatternClass GdomCanvasPatternClass;
+typedef struct _GdomCanvasPixelArray GdomCanvasPixelArray;
+typedef struct _GdomCanvasPixelArrayClass GdomCanvasPixelArrayClass;
+typedef struct _GdomCanvasRenderingContext2D GdomCanvasRenderingContext2D;
+typedef struct _GdomCanvasRenderingContext2DClass GdomCanvasRenderingContext2DClass;
+typedef struct _GdomCDATASection GdomCDATASection;
+typedef struct _GdomCDATASectionClass GdomCDATASectionClass;
+typedef struct _GdomCharacterData GdomCharacterData;
+typedef struct _GdomCharacterDataClass GdomCharacterDataClass;
+typedef struct _GdomClipboard GdomClipboard;
+typedef struct _GdomClipboardClass GdomClipboardClass;
+typedef struct _GdomComment GdomComment;
+typedef struct _GdomCommentClass GdomCommentClass;
+typedef struct _GdomConsole GdomConsole;
+typedef struct _GdomConsoleClass GdomConsoleClass;
+typedef struct _GdomCounter GdomCounter;
+typedef struct _GdomCounterClass GdomCounterClass;
+typedef struct _GdomCSSCharsetRule GdomCSSCharsetRule;
+typedef struct _GdomCSSCharsetRuleClass GdomCSSCharsetRuleClass;
+typedef struct _GdomCSSFontFaceRule GdomCSSFontFaceRule;
+typedef struct _GdomCSSFontFaceRuleClass GdomCSSFontFaceRuleClass;
+typedef struct _GdomCSSImportRule GdomCSSImportRule;
+typedef struct _GdomCSSImportRuleClass GdomCSSImportRuleClass;
+typedef struct _GdomCSSMediaRule GdomCSSMediaRule;
+typedef struct _GdomCSSMediaRuleClass GdomCSSMediaRuleClass;
+typedef struct _GdomCSSPageRule GdomCSSPageRule;
+typedef struct _GdomCSSPageRuleClass GdomCSSPageRuleClass;
+typedef struct _GdomCSSPrimitiveValue GdomCSSPrimitiveValue;
+typedef struct _GdomCSSPrimitiveValueClass GdomCSSPrimitiveValueClass;
+typedef struct _GdomCSSRule GdomCSSRule;
+typedef struct _GdomCSSRuleClass GdomCSSRuleClass;
+typedef struct _GdomCSSRuleList GdomCSSRuleList;
+typedef struct _GdomCSSRuleListClass GdomCSSRuleListClass;
+typedef struct _GdomCSSStyleDeclaration GdomCSSStyleDeclaration;
+typedef struct _GdomCSSStyleDeclarationClass GdomCSSStyleDeclarationClass;
+typedef struct _GdomCSSStyleRule GdomCSSStyleRule;
+typedef struct _GdomCSSStyleRuleClass GdomCSSStyleRuleClass;
+typedef struct _GdomCSSStyleSheet GdomCSSStyleSheet;
+typedef struct _GdomCSSStyleSheetClass GdomCSSStyleSheetClass;
+typedef struct _GdomCSSValue GdomCSSValue;
+typedef struct _GdomCSSValueClass GdomCSSValueClass;
+typedef struct _GdomCSSValueList GdomCSSValueList;
+typedef struct _GdomCSSValueListClass GdomCSSValueListClass;
+typedef struct _GdomCSSVariablesDeclaration GdomCSSVariablesDeclaration;
+typedef struct _GdomCSSVariablesDeclarationClass GdomCSSVariablesDeclarationClass;
+typedef struct _GdomCSSVariablesRule GdomCSSVariablesRule;
+typedef struct _GdomCSSVariablesRuleClass GdomCSSVariablesRuleClass;
+typedef struct _GdomDatabase GdomDatabase;
+typedef struct _GdomDatabaseClass GdomDatabaseClass;
+typedef struct _GdomDocumentFragment GdomDocumentFragment;
+typedef struct _GdomDocumentFragmentClass GdomDocumentFragmentClass;
+typedef struct _GdomDocument GdomDocument;
+typedef struct _GdomDocumentClass GdomDocumentClass;
+typedef struct _GdomDocumentType GdomDocumentType;
+typedef struct _GdomDocumentTypeClass GdomDocumentTypeClass;
+typedef struct _GdomDOMApplicationCache GdomDOMApplicationCache;
+typedef struct _GdomDOMApplicationCacheClass GdomDOMApplicationCacheClass;
+typedef struct _GdomDOMCoreException GdomDOMCoreException;
+typedef struct _GdomDOMCoreExceptionClass GdomDOMCoreExceptionClass;
+typedef struct _GdomDOMImplementation GdomDOMImplementation;
+typedef struct _GdomDOMImplementationClass GdomDOMImplementationClass;
+typedef struct _GdomDOMParser GdomDOMParser;
+typedef struct _GdomDOMParserClass GdomDOMParserClass;
+typedef struct _GdomDOMSelection GdomDOMSelection;
+typedef struct _GdomDOMSelectionClass GdomDOMSelectionClass;
+typedef struct _GdomDOMWindow GdomDOMWindow;
+typedef struct _GdomDOMWindowClass GdomDOMWindowClass;
+typedef struct _GdomElement GdomElement;
+typedef struct _GdomElementClass GdomElementClass;
+typedef struct _GdomEntity GdomEntity;
+typedef struct _GdomEntityClass GdomEntityClass;
+typedef struct _GdomEntityReference GdomEntityReference;
+typedef struct _GdomEntityReferenceClass GdomEntityReferenceClass;
+typedef struct _GdomEventException GdomEventException;
+typedef struct _GdomEventExceptionClass GdomEventExceptionClass;
+typedef struct _GdomEvent GdomEvent;
+typedef struct _GdomEventClass GdomEventClass;
+typedef struct _GdomFile GdomFile;
+typedef struct _GdomFileClass GdomFileClass;
+typedef struct _GdomFileList GdomFileList;
+typedef struct _GdomFileListClass GdomFileListClass;
+typedef struct _GdomHistory GdomHistory;
+typedef struct _GdomHistoryClass GdomHistoryClass;
+typedef struct _GdomHTMLAnchorElement GdomHTMLAnchorElement;
+typedef struct _GdomHTMLAnchorElementClass GdomHTMLAnchorElementClass;
+typedef struct _GdomHTMLAppletElement GdomHTMLAppletElement;
+typedef struct _GdomHTMLAppletElementClass GdomHTMLAppletElementClass;
+typedef struct _GdomHTMLAreaElement GdomHTMLAreaElement;
+typedef struct _GdomHTMLAreaElementClass GdomHTMLAreaElementClass;
+typedef struct _GdomHTMLBaseElement GdomHTMLBaseElement;
+typedef struct _GdomHTMLBaseElementClass GdomHTMLBaseElementClass;
+typedef struct _GdomHTMLBaseFontElement GdomHTMLBaseFontElement;
+typedef struct _GdomHTMLBaseFontElementClass GdomHTMLBaseFontElementClass;
+typedef struct _GdomHTMLBlockquoteElement GdomHTMLBlockquoteElement;
+typedef struct _GdomHTMLBlockquoteElementClass GdomHTMLBlockquoteElementClass;
+typedef struct _GdomHTMLBodyElement GdomHTMLBodyElement;
+typedef struct _GdomHTMLBodyElementClass GdomHTMLBodyElementClass;
+typedef struct _GdomHTMLBRElement GdomHTMLBRElement;
+typedef struct _GdomHTMLBRElementClass GdomHTMLBRElementClass;
+typedef struct _GdomHTMLButtonElement GdomHTMLButtonElement;
+typedef struct _GdomHTMLButtonElementClass GdomHTMLButtonElementClass;
+typedef struct _GdomHTMLCanvasElement GdomHTMLCanvasElement;
+typedef struct _GdomHTMLCanvasElementClass GdomHTMLCanvasElementClass;
+typedef struct _GdomHTMLCollection GdomHTMLCollection;
+typedef struct _GdomHTMLCollectionClass GdomHTMLCollectionClass;
+typedef struct _GdomHTMLDirectoryElement GdomHTMLDirectoryElement;
+typedef struct _GdomHTMLDirectoryElementClass GdomHTMLDirectoryElementClass;
+typedef struct _GdomHTMLDivElement GdomHTMLDivElement;
+typedef struct _GdomHTMLDivElementClass GdomHTMLDivElementClass;
+typedef struct _GdomHTMLDListElement GdomHTMLDListElement;
+typedef struct _GdomHTMLDListElementClass GdomHTMLDListElementClass;
+typedef struct _GdomHTMLDocument GdomHTMLDocument;
+typedef struct _GdomHTMLDocumentClass GdomHTMLDocumentClass;
+typedef struct _GdomHTMLElement GdomHTMLElement;
+typedef struct _GdomHTMLElementClass GdomHTMLElementClass;
+typedef struct _GdomHTMLEmbedElement GdomHTMLEmbedElement;
+typedef struct _GdomHTMLEmbedElementClass GdomHTMLEmbedElementClass;
+typedef struct _GdomHTMLFieldSetElement GdomHTMLFieldSetElement;
+typedef struct _GdomHTMLFieldSetElementClass GdomHTMLFieldSetElementClass;
+typedef struct _GdomHTMLFontElement GdomHTMLFontElement;
+typedef struct _GdomHTMLFontElementClass GdomHTMLFontElementClass;
+typedef struct _GdomHTMLFormElement GdomHTMLFormElement;
+typedef struct _GdomHTMLFormElementClass GdomHTMLFormElementClass;
+typedef struct _GdomHTMLFrameElement GdomHTMLFrameElement;
+typedef struct _GdomHTMLFrameElementClass GdomHTMLFrameElementClass;
+typedef struct _GdomHTMLFrameSetElement GdomHTMLFrameSetElement;
+typedef struct _GdomHTMLFrameSetElementClass GdomHTMLFrameSetElementClass;
+typedef struct _GdomHTMLHeadElement GdomHTMLHeadElement;
+typedef struct _GdomHTMLHeadElementClass GdomHTMLHeadElementClass;
+typedef struct _GdomHTMLHeadingElement GdomHTMLHeadingElement;
+typedef struct _GdomHTMLHeadingElementClass GdomHTMLHeadingElementClass;
+typedef struct _GdomHTMLHRElement GdomHTMLHRElement;
+typedef struct _GdomHTMLHRElementClass GdomHTMLHRElementClass;
+typedef struct _GdomHTMLHtmlElement GdomHTMLHtmlElement;
+typedef struct _GdomHTMLHtmlElementClass GdomHTMLHtmlElementClass;
+typedef struct _GdomHTMLIFrameElement GdomHTMLIFrameElement;
+typedef struct _GdomHTMLIFrameElementClass GdomHTMLIFrameElementClass;
+typedef struct _GdomHTMLImageElement GdomHTMLImageElement;
+typedef struct _GdomHTMLImageElementClass GdomHTMLImageElementClass;
+typedef struct _GdomHTMLInputElement GdomHTMLInputElement;
+typedef struct _GdomHTMLInputElementClass GdomHTMLInputElementClass;
+typedef struct _GdomHTMLIsIndexElement GdomHTMLIsIndexElement;
+typedef struct _GdomHTMLIsIndexElementClass GdomHTMLIsIndexElementClass;
+typedef struct _GdomHTMLLabelElement GdomHTMLLabelElement;
+typedef struct _GdomHTMLLabelElementClass GdomHTMLLabelElementClass;
+typedef struct _GdomHTMLLegendElement GdomHTMLLegendElement;
+typedef struct _GdomHTMLLegendElementClass GdomHTMLLegendElementClass;
+typedef struct _GdomHTMLLIElement GdomHTMLLIElement;
+typedef struct _GdomHTMLLIElementClass GdomHTMLLIElementClass;
+typedef struct _GdomHTMLLinkElement GdomHTMLLinkElement;
+typedef struct _GdomHTMLLinkElementClass GdomHTMLLinkElementClass;
+typedef struct _GdomHTMLMapElement GdomHTMLMapElement;
+typedef struct _GdomHTMLMapElementClass GdomHTMLMapElementClass;
+typedef struct _GdomHTMLMarqueeElement GdomHTMLMarqueeElement;
+typedef struct _GdomHTMLMarqueeElementClass GdomHTMLMarqueeElementClass;
+typedef struct _GdomHTMLMenuElement GdomHTMLMenuElement;
+typedef struct _GdomHTMLMenuElementClass GdomHTMLMenuElementClass;
+typedef struct _GdomHTMLMetaElement GdomHTMLMetaElement;
+typedef struct _GdomHTMLMetaElementClass GdomHTMLMetaElementClass;
+typedef struct _GdomHTMLModElement GdomHTMLModElement;
+typedef struct _GdomHTMLModElementClass GdomHTMLModElementClass;
+typedef struct _GdomHTMLObjectElement GdomHTMLObjectElement;
+typedef struct _GdomHTMLObjectElementClass GdomHTMLObjectElementClass;
+typedef struct _GdomHTMLOListElement GdomHTMLOListElement;
+typedef struct _GdomHTMLOListElementClass GdomHTMLOListElementClass;
+typedef struct _GdomHTMLOptGroupElement GdomHTMLOptGroupElement;
+typedef struct _GdomHTMLOptGroupElementClass GdomHTMLOptGroupElementClass;
+typedef struct _GdomHTMLOptionElement GdomHTMLOptionElement;
+typedef struct _GdomHTMLOptionElementClass GdomHTMLOptionElementClass;
+typedef struct _GdomHTMLOptionsCollection GdomHTMLOptionsCollection;
+typedef struct _GdomHTMLOptionsCollectionClass GdomHTMLOptionsCollectionClass;
+typedef struct _GdomHTMLParagraphElement GdomHTMLParagraphElement;
+typedef struct _GdomHTMLParagraphElementClass GdomHTMLParagraphElementClass;
+typedef struct _GdomHTMLParamElement GdomHTMLParamElement;
+typedef struct _GdomHTMLParamElementClass GdomHTMLParamElementClass;
+typedef struct _GdomHTMLPreElement GdomHTMLPreElement;
+typedef struct _GdomHTMLPreElementClass GdomHTMLPreElementClass;
+typedef struct _GdomHTMLQuoteElement GdomHTMLQuoteElement;
+typedef struct _GdomHTMLQuoteElementClass GdomHTMLQuoteElementClass;
+typedef struct _GdomHTMLScriptElement GdomHTMLScriptElement;
+typedef struct _GdomHTMLScriptElementClass GdomHTMLScriptElementClass;
+typedef struct _GdomHTMLSelectElement GdomHTMLSelectElement;
+typedef struct _GdomHTMLSelectElementClass GdomHTMLSelectElementClass;
+typedef struct _GdomHTMLStyleElement GdomHTMLStyleElement;
+typedef struct _GdomHTMLStyleElementClass GdomHTMLStyleElementClass;
+typedef struct _GdomHTMLTableCaptionElement GdomHTMLTableCaptionElement;
+typedef struct _GdomHTMLTableCaptionElementClass GdomHTMLTableCaptionElementClass;
+typedef struct _GdomHTMLTableCellElement GdomHTMLTableCellElement;
+typedef struct _GdomHTMLTableCellElementClass GdomHTMLTableCellElementClass;
+typedef struct _GdomHTMLTableColElement GdomHTMLTableColElement;
+typedef struct _GdomHTMLTableColElementClass GdomHTMLTableColElementClass;
+typedef struct _GdomHTMLTableElement GdomHTMLTableElement;
+typedef struct _GdomHTMLTableElementClass GdomHTMLTableElementClass;
+typedef struct _GdomHTMLTableRowElement GdomHTMLTableRowElement;
+typedef struct _GdomHTMLTableRowElementClass GdomHTMLTableRowElementClass;
+typedef struct _GdomHTMLTableSectionElement GdomHTMLTableSectionElement;
+typedef struct _GdomHTMLTableSectionElementClass GdomHTMLTableSectionElementClass;
+typedef struct _GdomHTMLTextAreaElement GdomHTMLTextAreaElement;
+typedef struct _GdomHTMLTextAreaElementClass GdomHTMLTextAreaElementClass;
+typedef struct _GdomHTMLTitleElement GdomHTMLTitleElement;
+typedef struct _GdomHTMLTitleElementClass GdomHTMLTitleElementClass;
+typedef struct _GdomHTMLUListElement GdomHTMLUListElement;
+typedef struct _GdomHTMLUListElementClass GdomHTMLUListElementClass;
+typedef struct _GdomImageData GdomImageData;
+typedef struct _GdomImageDataClass GdomImageDataClass;
+typedef struct _GdomJavaScriptCallFrame GdomJavaScriptCallFrame;
+typedef struct _GdomJavaScriptCallFrameClass GdomJavaScriptCallFrameClass;
+typedef struct _GdomKeyboardEvent GdomKeyboardEvent;
+typedef struct _GdomKeyboardEventClass GdomKeyboardEventClass;
+typedef struct _GdomLocation GdomLocation;
+typedef struct _GdomLocationClass GdomLocationClass;
+typedef struct _GdomMediaList GdomMediaList;
+typedef struct _GdomMediaListClass GdomMediaListClass;
+typedef struct _GdomMessageEvent GdomMessageEvent;
+typedef struct _GdomMessageEventClass GdomMessageEventClass;
+typedef struct _GdomMimeTypeArray GdomMimeTypeArray;
+typedef struct _GdomMimeTypeArrayClass GdomMimeTypeArrayClass;
+typedef struct _GdomMimeType GdomMimeType;
+typedef struct _GdomMimeTypeClass GdomMimeTypeClass;
+typedef struct _GdomMouseEvent GdomMouseEvent;
+typedef struct _GdomMouseEventClass GdomMouseEventClass;
+typedef struct _GdomMutationEvent GdomMutationEvent;
+typedef struct _GdomMutationEventClass GdomMutationEventClass;
+typedef struct _GdomNamedNodeMap GdomNamedNodeMap;
+typedef struct _GdomNamedNodeMapClass GdomNamedNodeMapClass;
+typedef struct _GdomNavigator GdomNavigator;
+typedef struct _GdomNavigatorClass GdomNavigatorClass;
+typedef struct _GdomNodeFilter GdomNodeFilter;
+typedef struct _GdomNodeFilterClass GdomNodeFilterClass;
+typedef struct _GdomNode GdomNode;
+typedef struct _GdomNodeClass GdomNodeClass;
+typedef struct _GdomNodeIterator GdomNodeIterator;
+typedef struct _GdomNodeIteratorClass GdomNodeIteratorClass;
+typedef struct _GdomNodeList GdomNodeList;
+typedef struct _GdomNodeListClass GdomNodeListClass;
+typedef struct _GdomNotation GdomNotation;
+typedef struct _GdomNotationClass GdomNotationClass;
+typedef struct _GdomOverflowEvent GdomOverflowEvent;
+typedef struct _GdomOverflowEventClass GdomOverflowEventClass;
+typedef struct _GdomPluginArray GdomPluginArray;
+typedef struct _GdomPluginArrayClass GdomPluginArrayClass;
+typedef struct _GdomPlugin GdomPlugin;
+typedef struct _GdomPluginClass GdomPluginClass;
+typedef struct _GdomProcessingInstruction GdomProcessingInstruction;
+typedef struct _GdomProcessingInstructionClass GdomProcessingInstructionClass;
+typedef struct _GdomProgressEvent GdomProgressEvent;
+typedef struct _GdomProgressEventClass GdomProgressEventClass;
+typedef struct _GdomRangeException GdomRangeException;
+typedef struct _GdomRangeExceptionClass GdomRangeExceptionClass;
+typedef struct _GdomRange GdomRange;
+typedef struct _GdomRangeClass GdomRangeClass;
+typedef struct _GdomRect GdomRect;
+typedef struct _GdomRectClass GdomRectClass;
+typedef struct _GdomScreen GdomScreen;
+typedef struct _GdomScreenClass GdomScreenClass;
+typedef struct _GdomSQLError GdomSQLError;
+typedef struct _GdomSQLErrorClass GdomSQLErrorClass;
+typedef struct _GdomSQLResultSet GdomSQLResultSet;
+typedef struct _GdomSQLResultSetClass GdomSQLResultSetClass;
+typedef struct _GdomSQLResultSetRowList GdomSQLResultSetRowList;
+typedef struct _GdomSQLResultSetRowListClass GdomSQLResultSetRowListClass;
+typedef struct _GdomSQLTransaction GdomSQLTransaction;
+typedef struct _GdomSQLTransactionClass GdomSQLTransactionClass;
+typedef struct _GdomStorageEvent GdomStorageEvent;
+typedef struct _GdomStorageEventClass GdomStorageEventClass;
+typedef struct _GdomStorage GdomStorage;
+typedef struct _GdomStorageClass GdomStorageClass;
+typedef struct _GdomStyleSheet GdomStyleSheet;
+typedef struct _GdomStyleSheetClass GdomStyleSheetClass;
+typedef struct _GdomStyleSheetList GdomStyleSheetList;
+typedef struct _GdomStyleSheetListClass GdomStyleSheetListClass;
+typedef struct _GdomTextEvent GdomTextEvent;
+typedef struct _GdomTextEventClass GdomTextEventClass;
+typedef struct _GdomText GdomText;
+typedef struct _GdomTextClass GdomTextClass;
+typedef struct _GdomTreeWalker GdomTreeWalker;
+typedef struct _GdomTreeWalkerClass GdomTreeWalkerClass;
+typedef struct _GdomUIEvent GdomUIEvent;
+typedef struct _GdomUIEventClass GdomUIEventClass;
+typedef struct _GdomWebKitAnimationEvent GdomWebKitAnimationEvent;
+typedef struct _GdomWebKitAnimationEventClass GdomWebKitAnimationEventClass;
+typedef struct _GdomWebKitCSSTransformValue GdomWebKitCSSTransformValue;
+typedef struct _GdomWebKitCSSTransformValueClass GdomWebKitCSSTransformValueClass;
+typedef struct _GdomWebKitTransitionEvent GdomWebKitTransitionEvent;
+typedef struct _GdomWebKitTransitionEventClass GdomWebKitTransitionEventClass;
+typedef struct _GdomWheelEvent GdomWheelEvent;
+typedef struct _GdomWheelEventClass GdomWheelEventClass;
+typedef struct _GdomXMLHttpRequestException GdomXMLHttpRequestException;
+typedef struct _GdomXMLHttpRequestExceptionClass GdomXMLHttpRequestExceptionClass;
+typedef struct _GdomXMLHttpRequest GdomXMLHttpRequest;
+typedef struct _GdomXMLHttpRequestClass GdomXMLHttpRequestClass;
+typedef struct _GdomXMLHttpRequestProgressEvent GdomXMLHttpRequestProgressEvent;
+typedef struct _GdomXMLHttpRequestProgressEventClass GdomXMLHttpRequestProgressEventClass;
+typedef struct _GdomXMLHttpRequestUpload GdomXMLHttpRequestUpload;
+typedef struct _GdomXMLHttpRequestUploadClass GdomXMLHttpRequestUploadClass;
+typedef struct _GdomXMLSerializer GdomXMLSerializer;
+typedef struct _GdomXMLSerializerClass GdomXMLSerializerClass;
+typedef struct _GdomXPathEvaluator GdomXPathEvaluator;
+typedef struct _GdomXPathEvaluatorClass GdomXPathEvaluatorClass;
+typedef struct _GdomXPathException GdomXPathException;
+typedef struct _GdomXPathExceptionClass GdomXPathExceptionClass;
+typedef struct _GdomXPathExpression GdomXPathExpression;
+typedef struct _GdomXPathExpressionClass GdomXPathExpressionClass;
+typedef struct _GdomXPathNSResolver GdomXPathNSResolver;
+typedef struct _GdomXPathNSResolverClass GdomXPathNSResolverClass;
+typedef struct _GdomXPathResult GdomXPathResult;
+typedef struct _GdomXPathResultClass GdomXPathResultClass;
+typedef struct _GdomXSLTProcessor GdomXSLTProcessor;
+typedef struct _GdomXSLTProcessorClass GdomXSLTProcessorClass;
+
+
+#define GDOM_TYPE_DOM_OBJECT            (gdom_dom_object_get_type())
+#define GDOM_TYPE_EVENT_TARGET_NODE            (gdom_event_target_node_get_type())
+#define GDOM_TYPE_ATTR            (gdom_attr_get_type())
+#define GDOM_TYPE_BAR_INFO            (gdom_bar_info_get_type())
+#define GDOM_TYPE_CANVAS_GRADIENT            (gdom_canvas_gradient_get_type())
+#define GDOM_TYPE_CANVAS_PATTERN            (gdom_canvas_pattern_get_type())
+#define GDOM_TYPE_CANVAS_PIXEL_ARRAY            (gdom_canvas_pixel_array_get_type())
+#define GDOM_TYPE_CANVAS_RENDERING_CONTEXT2D            (gdom_canvas_rendering_context2d_get_type())
+#define GDOM_TYPE_CDATA_SECTION            (gdom_cdata_section_get_type())
+#define GDOM_TYPE_CHARACTER_DATA            (gdom_character_data_get_type())
+#define GDOM_TYPE_CLIPBOARD            (gdom_clipboard_get_type())
+#define GDOM_TYPE_COMMENT            (gdom_comment_get_type())
+#define GDOM_TYPE_CONSOLE            (gdom_console_get_type())
+#define GDOM_TYPE_COUNTER            (gdom_counter_get_type())
+#define GDOM_TYPE_CSS_CHARSET_RULE            (gdom_css_charset_rule_get_type())
+#define GDOM_TYPE_CSS_FONT_FACE_RULE            (gdom_css_font_face_rule_get_type())
+#define GDOM_TYPE_CSS_IMPORT_RULE            (gdom_css_import_rule_get_type())
+#define GDOM_TYPE_CSS_MEDIA_RULE            (gdom_css_media_rule_get_type())
+#define GDOM_TYPE_CSS_PAGE_RULE            (gdom_css_page_rule_get_type())
+#define GDOM_TYPE_CSS_PRIMITIVE_VALUE            (gdom_css_primitive_value_get_type())
+#define GDOM_TYPE_CSS_RULE            (gdom_css_rule_get_type())
+#define GDOM_TYPE_CSS_RULE_LIST            (gdom_css_rule_list_get_type())
+#define GDOM_TYPE_CSS_STYLE_DECLARATION            (gdom_css_style_declaration_get_type())
+#define GDOM_TYPE_CSS_STYLE_RULE            (gdom_css_style_rule_get_type())
+#define GDOM_TYPE_CSS_STYLE_SHEET            (gdom_css_style_sheet_get_type())
+#define GDOM_TYPE_CSS_VALUE            (gdom_css_value_get_type())
+#define GDOM_TYPE_CSS_VALUE_LIST            (gdom_css_value_list_get_type())
+#define GDOM_TYPE_CSS_VARIABLES_DECLARATION            (gdom_css_variables_declaration_get_type())
+#define GDOM_TYPE_CSS_VARIABLES_RULE            (gdom_css_variables_rule_get_type())
+#define GDOM_TYPE_DATABASE            (gdom_database_get_type())
+#define GDOM_TYPE_DOCUMENT_FRAGMENT            (gdom_document_fragment_get_type())
+#define GDOM_TYPE_DOCUMENT            (gdom_document_get_type())
+#define GDOM_TYPE_DOCUMENT_TYPE            (gdom_document_type_get_type())
+#define GDOM_TYPE_DOM_APPLICATION_CACHE            (gdom_dom_application_cache_get_type())
+#define GDOM_TYPE_DOM_CORE_EXCEPTION            (gdom_dom_core_exception_get_type())
+#define GDOM_TYPE_DOM_IMPLEMENTATION            (gdom_dom_implementation_get_type())
+#define GDOM_TYPE_DOM_PARSER            (gdom_dom_parser_get_type())
+#define GDOM_TYPE_DOM_SELECTION            (gdom_dom_selection_get_type())
+#define GDOM_TYPE_DOM_WINDOW            (gdom_dom_window_get_type())
+#define GDOM_TYPE_ELEMENT            (gdom_element_get_type())
+#define GDOM_TYPE_ENTITY            (gdom_entity_get_type())
+#define GDOM_TYPE_ENTITY_REFERENCE            (gdom_entity_reference_get_type())
+#define GDOM_TYPE_EVENT_EXCEPTION            (gdom_event_exception_get_type())
+#define GDOM_TYPE_EVENT            (gdom_event_get_type())
+#define GDOM_TYPE_FILE            (gdom_file_get_type())
+#define GDOM_TYPE_FILE_LIST            (gdom_file_list_get_type())
+#define GDOM_TYPE_HISTORY            (gdom_history_get_type())
+#define GDOM_TYPE_HTML_ANCHOR_ELEMENT            (gdom_html_anchor_element_get_type())
+#define GDOM_TYPE_HTML_APPLET_ELEMENT            (gdom_html_applet_element_get_type())
+#define GDOM_TYPE_HTML_AREA_ELEMENT            (gdom_html_area_element_get_type())
+#define GDOM_TYPE_HTML_BASE_ELEMENT            (gdom_html_base_element_get_type())
+#define GDOM_TYPE_HTML_BASE_FONT_ELEMENT            (gdom_html_base_font_element_get_type())
+#define GDOM_TYPE_HTML_BLOCKQUOTE_ELEMENT            (gdom_html_blockquote_element_get_type())
+#define GDOM_TYPE_HTML_BODY_ELEMENT            (gdom_html_body_element_get_type())
+#define GDOM_TYPE_HTMLBR_ELEMENT            (gdom_htmlbr_element_get_type())
+#define GDOM_TYPE_HTML_BUTTON_ELEMENT            (gdom_html_button_element_get_type())
+#define GDOM_TYPE_HTML_CANVAS_ELEMENT            (gdom_html_canvas_element_get_type())
+#define GDOM_TYPE_HTML_COLLECTION            (gdom_html_collection_get_type())
+#define GDOM_TYPE_HTML_DIRECTORY_ELEMENT            (gdom_html_directory_element_get_type())
+#define GDOM_TYPE_HTML_DIV_ELEMENT            (gdom_html_div_element_get_type())
+#define GDOM_TYPE_HTMLD_LIST_ELEMENT            (gdom_htmld_list_element_get_type())
+#define GDOM_TYPE_HTML_DOCUMENT            (gdom_html_document_get_type())
+#define GDOM_TYPE_HTML_ELEMENT            (gdom_html_element_get_type())
+#define GDOM_TYPE_HTML_EMBED_ELEMENT            (gdom_html_embed_element_get_type())
+#define GDOM_TYPE_HTML_FIELD_SET_ELEMENT            (gdom_html_field_set_element_get_type())
+#define GDOM_TYPE_HTML_FONT_ELEMENT            (gdom_html_font_element_get_type())
+#define GDOM_TYPE_HTML_FORM_ELEMENT            (gdom_html_form_element_get_type())
+#define GDOM_TYPE_HTML_FRAME_ELEMENT            (gdom_html_frame_element_get_type())
+#define GDOM_TYPE_HTML_FRAME_SET_ELEMENT            (gdom_html_frame_set_element_get_type())
+#define GDOM_TYPE_HTML_HEAD_ELEMENT            (gdom_html_head_element_get_type())
+#define GDOM_TYPE_HTML_HEADING_ELEMENT            (gdom_html_heading_element_get_type())
+#define GDOM_TYPE_HTMLHR_ELEMENT            (gdom_htmlhr_element_get_type())
+#define GDOM_TYPE_HTML_HTML_ELEMENT            (gdom_html_html_element_get_type())
+#define GDOM_TYPE_HTMLI_FRAME_ELEMENT            (gdom_htmli_frame_element_get_type())
+#define GDOM_TYPE_HTML_IMAGE_ELEMENT            (gdom_html_image_element_get_type())
+#define GDOM_TYPE_HTML_INPUT_ELEMENT            (gdom_html_input_element_get_type())
+#define GDOM_TYPE_HTML_IS_INDEX_ELEMENT            (gdom_html_is_index_element_get_type())
+#define GDOM_TYPE_HTML_LABEL_ELEMENT            (gdom_html_label_element_get_type())
+#define GDOM_TYPE_HTML_LEGEND_ELEMENT            (gdom_html_legend_element_get_type())
+#define GDOM_TYPE_HTMLLI_ELEMENT            (gdom_htmlli_element_get_type())
+#define GDOM_TYPE_HTML_LINK_ELEMENT            (gdom_html_link_element_get_type())
+#define GDOM_TYPE_HTML_MAP_ELEMENT            (gdom_html_map_element_get_type())
+#define GDOM_TYPE_HTML_MARQUEE_ELEMENT            (gdom_html_marquee_element_get_type())
+#define GDOM_TYPE_HTML_MENU_ELEMENT            (gdom_html_menu_element_get_type())
+#define GDOM_TYPE_HTML_META_ELEMENT            (gdom_html_meta_element_get_type())
+#define GDOM_TYPE_HTML_MOD_ELEMENT            (gdom_html_mod_element_get_type())
+#define GDOM_TYPE_HTML_OBJECT_ELEMENT            (gdom_html_object_element_get_type())
+#define GDOM_TYPE_HTMLO_LIST_ELEMENT            (gdom_htmlo_list_element_get_type())
+#define GDOM_TYPE_HTML_OPT_GROUP_ELEMENT            (gdom_html_opt_group_element_get_type())
+#define GDOM_TYPE_HTML_OPTION_ELEMENT            (gdom_html_option_element_get_type())
+#define GDOM_TYPE_HTML_OPTIONS_COLLECTION            (gdom_html_options_collection_get_type())
+#define GDOM_TYPE_HTML_PARAGRAPH_ELEMENT            (gdom_html_paragraph_element_get_type())
+#define GDOM_TYPE_HTML_PARAM_ELEMENT            (gdom_html_param_element_get_type())
+#define GDOM_TYPE_HTML_PRE_ELEMENT            (gdom_html_pre_element_get_type())
+#define GDOM_TYPE_HTML_QUOTE_ELEMENT            (gdom_html_quote_element_get_type())
+#define GDOM_TYPE_HTML_SCRIPT_ELEMENT            (gdom_html_script_element_get_type())
+#define GDOM_TYPE_HTML_SELECT_ELEMENT            (gdom_html_select_element_get_type())
+#define GDOM_TYPE_HTML_STYLE_ELEMENT            (gdom_html_style_element_get_type())
+#define GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT            (gdom_html_table_caption_element_get_type())
+#define GDOM_TYPE_HTML_TABLE_CELL_ELEMENT            (gdom_html_table_cell_element_get_type())
+#define GDOM_TYPE_HTML_TABLE_COL_ELEMENT            (gdom_html_table_col_element_get_type())
+#define GDOM_TYPE_HTML_TABLE_ELEMENT            (gdom_html_table_element_get_type())
+#define GDOM_TYPE_HTML_TABLE_ROW_ELEMENT            (gdom_html_table_row_element_get_type())
+#define GDOM_TYPE_HTML_TABLE_SECTION_ELEMENT            (gdom_html_table_section_element_get_type())
+#define GDOM_TYPE_HTML_TEXT_AREA_ELEMENT            (gdom_html_text_area_element_get_type())
+#define GDOM_TYPE_HTML_TITLE_ELEMENT            (gdom_html_title_element_get_type())
+#define GDOM_TYPE_HTMLU_LIST_ELEMENT            (gdom_htmlu_list_element_get_type())
+#define GDOM_TYPE_IMAGE_DATA            (gdom_image_data_get_type())
+#define GDOM_TYPE_JAVA_SCRIPT_CALL_FRAME            (gdom_java_script_call_frame_get_type())
+#define GDOM_TYPE_KEYBOARD_EVENT            (gdom_keyboard_event_get_type())
+#define GDOM_TYPE_LOCATION            (gdom_location_get_type())
+#define GDOM_TYPE_MEDIA_LIST            (gdom_media_list_get_type())
+#define GDOM_TYPE_MESSAGE_EVENT            (gdom_message_event_get_type())
+#define GDOM_TYPE_MIME_TYPE_ARRAY            (gdom_mime_type_array_get_type())
+#define GDOM_TYPE_MIME_TYPE            (gdom_mime_type_get_type())
+#define GDOM_TYPE_MOUSE_EVENT            (gdom_mouse_event_get_type())
+#define GDOM_TYPE_MUTATION_EVENT            (gdom_mutation_event_get_type())
+#define GDOM_TYPE_NAMED_NODE_MAP            (gdom_named_node_map_get_type())
+#define GDOM_TYPE_NAVIGATOR            (gdom_navigator_get_type())
+#define GDOM_TYPE_NODE_FILTER            (gdom_node_filter_get_type())
+#define GDOM_TYPE_NODE            (gdom_node_get_type())
+#define GDOM_TYPE_NODE_ITERATOR            (gdom_node_iterator_get_type())
+#define GDOM_TYPE_NODE_LIST            (gdom_node_list_get_type())
+#define GDOM_TYPE_NOTATION            (gdom_notation_get_type())
+#define GDOM_TYPE_OVERFLOW_EVENT            (gdom_overflow_event_get_type())
+#define GDOM_TYPE_PLUGIN_ARRAY            (gdom_plugin_array_get_type())
+#define GDOM_TYPE_PLUGIN            (gdom_plugin_get_type())
+#define GDOM_TYPE_PROCESSING_INSTRUCTION            (gdom_processing_instruction_get_type())
+#define GDOM_TYPE_PROGRESS_EVENT            (gdom_progress_event_get_type())
+#define GDOM_TYPE_RANGE_EXCEPTION            (gdom_range_exception_get_type())
+#define GDOM_TYPE_RANGE            (gdom_range_get_type())
+#define GDOM_TYPE_RECT            (gdom_rect_get_type())
+#define GDOM_TYPE_SCREEN            (gdom_screen_get_type())
+#define GDOM_TYPE_SQL_ERROR            (gdom_sql_error_get_type())
+#define GDOM_TYPE_SQL_RESULT_SET            (gdom_sql_result_set_get_type())
+#define GDOM_TYPE_SQL_RESULT_SET_ROW_LIST            (gdom_sql_result_set_row_list_get_type())
+#define GDOM_TYPE_SQL_TRANSACTION            (gdom_sql_transaction_get_type())
+#define GDOM_TYPE_STORAGE_EVENT            (gdom_storage_event_get_type())
+#define GDOM_TYPE_STORAGE            (gdom_storage_get_type())
+#define GDOM_TYPE_STYLE_SHEET            (gdom_style_sheet_get_type())
+#define GDOM_TYPE_STYLE_SHEET_LIST            (gdom_style_sheet_list_get_type())
+#define GDOM_TYPE_TEXT_EVENT            (gdom_text_event_get_type())
+#define GDOM_TYPE_TEXT            (gdom_text_get_type())
+#define GDOM_TYPE_TREE_WALKER            (gdom_tree_walker_get_type())
+#define GDOM_TYPE_UI_EVENT            (gdom_ui_event_get_type())
+#define GDOM_TYPE_WEB_KIT_ANIMATION_EVENT            (gdom_web_kit_animation_event_get_type())
+#define GDOM_TYPE_WEB_KIT_CSS_TRANSFORM_VALUE            (gdom_web_kit_css_transform_value_get_type())
+#define GDOM_TYPE_WEB_KIT_TRANSITION_EVENT            (gdom_web_kit_transition_event_get_type())
+#define GDOM_TYPE_WHEEL_EVENT            (gdom_wheel_event_get_type())
+#define GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION            (gdom_xml_http_request_exception_get_type())
+#define GDOM_TYPE_XML_HTTP_REQUEST            (gdom_xml_http_request_get_type())
+#define GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT            (gdom_xml_http_request_progress_event_get_type())
+#define GDOM_TYPE_XML_HTTP_REQUEST_UPLOAD            (gdom_xml_http_request_upload_get_type())
+#define GDOM_TYPE_XML_SERIALIZER            (gdom_xml_serializer_get_type())
+#define GDOM_TYPE_X_PATH_EVALUATOR            (gdom_x_path_evaluator_get_type())
+#define GDOM_TYPE_X_PATH_EXCEPTION            (gdom_x_path_exception_get_type())
+#define GDOM_TYPE_X_PATH_EXPRESSION            (gdom_x_path_expression_get_type())
+#define GDOM_TYPE_X_PATH_NS_RESOLVER            (gdom_x_path_ns_resolver_get_type())
+#define GDOM_TYPE_X_PATH_RESULT            (gdom_x_path_result_get_type())
+#define GDOM_TYPE_XSLT_PROCESSOR            (gdom_xslt_processor_get_type())
+G_END_DECLS
+
+#endif
